GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/dicos-tdep.h File Reference

Go to the source code of this file.

## Functions
void | dicos_init_abi (struct gdbarch *gdbarch)
int | dicos_load_module_p (bfd *abfd, int header_size)

## Function Documentation

## ◆ dicos_init_abi()

void dicos_init_abi | ( | struct gdbarch * | gdbarch | ) |

Definition at line 28 of file dicos-tdep.c.

References set_gdbarch_decr_pc_after_break(), set_gdbarch_has_global_breakpoints(), set_gdbarch_has_global_solist(), set_solib_ops(), and solib_target_so_ops.

Referenced by amd64_dicos_init_abi(), and i386_dicos_init_abi().

## ◆ dicos_load_module_p()

int dicos_load_module_p | ( | bfd * | abfd,
|  | int | header_size
| ) |  |

Definition at line 54 of file dicos-tdep.c.

References _, warning(), xfree(), and xmalloc().

Referenced by amd64_dicos_osabi_sniffer(), and i386_dicos_osabi_sniffer().